// swift-tools-version:5.0

import PackageDescription

let package = Package(
    name: "SwiftGraph",
    products: [
        .executable(name: "swiftgraph", targets: ["SwiftGraph"]),
        .library(name: "SwiftGraphFramework", targets: ["SwiftGraphFramework"])
    ],
    dependencies: [
        .package(url: "https://github.com/jpsim/SourceKitten.git", from: "0.26.0")
    ],
    targets: [
        .target(name: "SwiftGraph",
                dependencies: ["SwiftGraphFramework"]),
        .target(name: "SwiftGraphFramework",
                dependencies: ["SourceKittenFramework"]),
        .testTarget(name: "SwiftGraphTests",
                    dependencies: ["SwiftGraphFramework", "SourceKittenFramework"])
    ]
)
